;;try out my new light curve combining routine

restore, 'data/big_ceph.sav'   ;giant IDL save file with all the
                              ;OGLE-II data plus more.


!p.multi=[0,2,1]

unames=star_name(rem_dup(star_name)) ;list of unique stars
up=period[rem_dup(star_name)] ;periods for each of the unique stars


s1=0

good=where(star_name eq unames(s1)) ;pick a star 
jd1=(jd(good) mod max(period[good]))/max(period[good])
mag1=mag(good)
band1=band(good)


s2=12
print, 'Period of 2nd star = '+trim(up(s2))
good=where(star_name eq unames(s2)) ;pick a star with a similar period
jd2=(jd(good) mod max(period[good]))/max(period[good])
mag2=mag(good)
band2=band(good)



ack=combo_lc( jd1,mag1,band1, jd2,mag2,band2, mag=mago,jd=jdo,band=bando)

mplot, jdo, mago, psym=2, xtitle='Phase', ytitle='BVI', $
title='Stacked light curves'      
                        ;plot the combined output where the mag2
                                ;values have been shifted to match
                                ;mag1 and the jd2 values have been
                                ;shifted to match the phase.
legend, ['P1='+trim(up(s1)), 'P2='+trim(up(s2))], /bottom, box=0



;try it again with stars that don't match as well

s1=3

good=where(star_name eq unames(s1)) ;pick a star 
jd1=(jd(good) mod max(period[good]))/max(period[good])
mag1=mag(good)
band1=band(good)


s2=4
good=where(star_name eq unames(s2)) ;pick a star with a similar period
jd2=(jd(good) mod max(period[good]))/max(period[good])
mag2=mag(good)
band2=band(good)



ack=combo_lc( jd1,mag1,band1, jd2,mag2,band2, mag=mago,jd=jdo,band=bando)

mplot, jdo, mago, psym=2, xtitle='Phase', ytitle='BVI', $
title='Stacked light curves' 
legend, ['P1='+trim(up(s1)), 'P2='+trim(up(s2))], /bottom, box=0


!p.multi=0

end
