function trip_ceph, t, p0, pp=pp
;function to take Fourier components and generate three light-curves

;p0(0)=m_0_i
;p0(1)=m_0_v
;p0(2)=m_0_b
;p0(3)=Period
;p0(4)=phase shift
;p0(5)=t_break (first element that has v-band data)
;p0(6)=t_break2 (first elements that has b-band data)
;p0(7-14)=alpha_i
;p0(15-22)=beta_i
;p0(23-30)=alpha_v
;p0(31-38)=beta_v
;p0(39-46)=alpha_b
;p0(47-54)=beta_b

;when passing to mpfit, hold p0(5:6) constant


n_extra=7 ;number of extra elements ahead of all the alphas and betas

na=(n_elements(p0)-n_extra)/6. ;number of alpha-elements per band

;n_extra:n_extra+na*2-1
;n_extra+na*2:n_extra+na*4-1

;pi=[p0(0), p0(2), p0(3), p0(5:20)] 
;pb=[p0(1), p0(2), p0(3), p0(21:36)]
pi=[p0(0), p0(3:4), p0(n_extra:n_extra+na*2-1)] 
pv=[p0(1), p0(3:4), p0(n_extra+na*2:n_extra+na*4-1)]
pb=[p0(2:4), p0(n_extra+na*4:n_extra+na*6-1)]

ti=t(0:p0(5)-1)
tv=t(p0(5):p0(6)-1)
tb=t(p0(6):n_elements(t)-1)

lc_i=f_comp(ti,pi)
lc_v=f_comp(tv,pv)
lc_b=f_comp(tb,pb)
result=[lc_i,lc_v,lc_b]

return, result

end
